Debian Bug report logs - #587629
can't load any module

version graph

Package: kfreebsd-image-7.3-1-amd64; Maintainer for kfreebsd-image-7.3-1-amd64 is (unknown);

Reported by: Tuco <tuco.xyz@gmail.com>

Date: Wed, 30 Jun 2010 13:09:01 UTC

Severity: important

Found in version kfreebsd-7/7.3-4

Fixed in version kfreebsd-7/7.3-6

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#587629; Package kfreebsd-image-7.3-1-amd64. (Wed, 30 Jun 2010 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 30 Jun 2010 13:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: submit <submit@bugs.debian.org>
Subject: can't load any module
Date: Wed, 30 Jun 2010 15:04:18 +0200
Package: kfreebsd-image-7.3-1-amd64
Severity: important
Version: 7.3-4

I can't load any module:

$ kldload pf
link_elf_obj: symbol __stack_chk_fail undefined
kldload: /lib/modules/7.3-1-amd64/pf.ko: Unsupported file type
kldload: can't load pf: Exec format error




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 20 Jul 2010 08:39:04 GMT) Full text and rfc822 format available.

Notification sent to Tuco <tuco.xyz@gmail.com>:
Bug acknowledged by developer. (Tue, 20 Jul 2010 08:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 587629-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 587629-close@bugs.debian.org
Subject: Bug#587629: fixed in kfreebsd-7 7.3-6
Date: Tue, 20 Jul 2010 08:36:51 +0000
Source: kfreebsd-7
Source-Version: 7.3-6

We believe that the bug you reported is fixed in the latest version of
kfreebsd-7, which is due to be installed in the Debian FTP archive:

kfreebsd-7_7.3-6.diff.gz
  to main/k/kfreebsd-7/kfreebsd-7_7.3-6.diff.gz
kfreebsd-7_7.3-6.dsc
  to main/k/kfreebsd-7/kfreebsd-7_7.3-6.dsc
kfreebsd-headers-7-486_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7-486_7.3-6_kfreebsd-i386.deb
kfreebsd-headers-7-686-smp_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7-686-smp_7.3-6_kfreebsd-i386.deb
kfreebsd-headers-7-686_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7-686_7.3-6_kfreebsd-i386.deb
kfreebsd-headers-7.3-1-486_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7.3-1-486_7.3-6_kfreebsd-i386.deb
kfreebsd-headers-7.3-1-686-smp_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7.3-1-686-smp_7.3-6_kfreebsd-i386.deb
kfreebsd-headers-7.3-1-686_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7.3-1-686_7.3-6_kfreebsd-i386.deb
kfreebsd-headers-7.3-1_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-headers-7.3-1_7.3-6_kfreebsd-i386.deb
kfreebsd-image-7-486_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-image-7-486_7.3-6_kfreebsd-i386.deb
kfreebsd-image-7-686-smp_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-image-7-686-smp_7.3-6_kfreebsd-i386.deb
kfreebsd-image-7-686_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-image-7-686_7.3-6_kfreebsd-i386.deb
kfreebsd-image-7.3-1-486_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-image-7.3-1-486_7.3-6_kfreebsd-i386.deb
kfreebsd-image-7.3-1-686-smp_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-image-7.3-1-686-smp_7.3-6_kfreebsd-i386.deb
kfreebsd-image-7.3-1-686_7.3-6_kfreebsd-i386.deb
  to main/k/kfreebsd-7/kfreebsd-image-7.3-1-686_7.3-6_kfreebsd-i386.deb
kfreebsd-source-7.3_7.3-6_all.deb
  to main/k/kfreebsd-7/kfreebsd-source-7.3_7.3-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587629@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 20 Jul 2010 01:30:55 +0200
Source: kfreebsd-7
Binary: kfreebsd-source-7.3 kfreebsd-headers-7.3-1 kfreebsd-image-7.3-1-amd64 kfreebsd-image-7-amd64 kfreebsd-headers-7.3-1-amd64 kfreebsd-headers-7-amd64 kfreebsd-image-7.3-1-486 kfreebsd-image-7-486 kfreebsd-headers-7.3-1-486 kfreebsd-headers-7-486 kfreebsd-image-7.3-1-686 kfreebsd-image-7-686 kfreebsd-headers-7.3-1-686 kfreebsd-headers-7-686 kfreebsd-image-7.3-1-686-smp kfreebsd-image-7-686-smp kfreebsd-headers-7.3-1-686-smp kfreebsd-headers-7-686-smp
Architecture: source all kfreebsd-i386
Version: 7.3-6
Distribution: unstable
Urgency: medium
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-7-486 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7.3-1 - Common architecture-specific header files for kernel of FreeBSD 7
 kfreebsd-headers-7.3-1-486 - header files for kernel of FreeBSD 7.3
 kfreebsd-headers-7.3-1-686 - header files for kernel of FreeBSD 7.3
 kfreebsd-headers-7.3-1-686-smp - header files for kernel of FreeBSD 7.3
 kfreebsd-headers-7.3-1-amd64 - header files for kernel of FreeBSD 7.3
 kfreebsd-image-7-486 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64 - kernel of FreeBSD 7 image
 kfreebsd-image-7.3-1-486 - kernel of FreeBSD 7.3 image
 kfreebsd-image-7.3-1-686 - kernel of FreeBSD 7.3 image
 kfreebsd-image-7.3-1-686-smp - kernel of FreeBSD 7.3 image
 kfreebsd-image-7.3-1-amd64 - kernel of FreeBSD 7.3 image
 kfreebsd-source-7.3 - source code for kernel of FreeBSD 7.3 with Debian patches
Closes: 587629
Changes: 
 kfreebsd-7 (7.3-6) unstable; urgency=medium
 .
   * Disable -fstack-protector for modules, now that freebsd-buildutils
     enable it by default. Closes: #587629.
Checksums-Sha1: 
 507cb8d7e30e903bc801149f69cc631ccfcc4c09 1863 kfreebsd-7_7.3-6.dsc
 69016d0bbaa9139296fc027dc0afc80771cadfcc 70008 kfreebsd-7_7.3-6.diff.gz
 ea8f961b0e564878c1c8e1a9f4ff52d27e6041f3 23982266 kfreebsd-source-7.3_7.3-6_all.deb
 43e3a7be28529b69a2926b083ba747d63a921e05 7688478 kfreebsd-headers-7.3-1_7.3-6_kfreebsd-i386.deb
 b6c64898578240b6ec78df816e46fba12edc5ce7 11485632 kfreebsd-image-7.3-1-486_7.3-6_kfreebsd-i386.deb
 5e71f50a28c76143d48c5c1cb4431f4954a609d4 45860 kfreebsd-image-7-486_7.3-6_kfreebsd-i386.deb
 1949d0c4f8da0111c31ae63f4df7ba014d4924ff 322708 kfreebsd-headers-7.3-1-486_7.3-6_kfreebsd-i386.deb
 a2b553e3d3adfae2d5e1fb74b2edf5fd790a3687 45860 kfreebsd-headers-7-486_7.3-6_kfreebsd-i386.deb
 430b1f6dbf0dbe87d73d52e54d4e59fea77dc0e1 12275892 kfreebsd-image-7.3-1-686_7.3-6_kfreebsd-i386.deb
 8b77da0c05df68921e8aea60ac19616d8857be17 45858 kfreebsd-image-7-686_7.3-6_kfreebsd-i386.deb
 e1acf5b9c505c11fb76e2639e433a99c6b37b9a8 322762 kfreebsd-headers-7.3-1-686_7.3-6_kfreebsd-i386.deb
 3db68af43049dfd3465e88df014bbfa66365b98f 45860 kfreebsd-headers-7-686_7.3-6_kfreebsd-i386.deb
 1155f9fe3f4a75ae6b405ad641b41e615d9f9d0c 12299776 kfreebsd-image-7.3-1-686-smp_7.3-6_kfreebsd-i386.deb
 2d6f635fca1de69f37cc238423255ffac59543a7 45874 kfreebsd-image-7-686-smp_7.3-6_kfreebsd-i386.deb
 69d1a88d228670841334e27dd3b9000bb1257afc 322764 kfreebsd-headers-7.3-1-686-smp_7.3-6_kfreebsd-i386.deb
 f0deb14e89f728069999a42fcb1f6a627cb1c3be 45874 kfreebsd-headers-7-686-smp_7.3-6_kfreebsd-i386.deb
Checksums-Sha256: 
 2db81000d43c080e790eb55c09fdcaf441c9a3159c73d7dddf4090009c2aad86 1863 kfreebsd-7_7.3-6.dsc
 354ae50636b5a67b9d5c0d0cd31a5626c1b47b15b33e8f57a5115dea5adfd4e9 70008 kfreebsd-7_7.3-6.diff.gz
 33125979414ebb462721ddb3fe92e46dc17ad5aac83dd9b4c2704bd724e28661 23982266 kfreebsd-source-7.3_7.3-6_all.deb
 d8eca43688707b90885743ccecc5f337d554dbad0825ae763526b9d71b9a0de6 7688478 kfreebsd-headers-7.3-1_7.3-6_kfreebsd-i386.deb
 bee879dbbfb41b5adcde494e9e6e6daaf892ba6f6cf49ac433457c5e4418d89f 11485632 kfreebsd-image-7.3-1-486_7.3-6_kfreebsd-i386.deb
 d43abfdd856b23bf1d738d9ac275da5dab059647aed0bc2b626fe5de661ff6dd 45860 kfreebsd-image-7-486_7.3-6_kfreebsd-i386.deb
 efb16d148449fbf42899249b0003b31a4caee95b068f4f9e5a1fa05de6a93ad9 322708 kfreebsd-headers-7.3-1-486_7.3-6_kfreebsd-i386.deb
 c5fc487761a29588a5f170cf67ba1dacb22bc7d07735062ee466b3fa2bcb7e3c 45860 kfreebsd-headers-7-486_7.3-6_kfreebsd-i386.deb
 d52b5f9e3d6bb30044df5a7ae5e19e217a8310efff5093c50c84720e97f1f130 12275892 kfreebsd-image-7.3-1-686_7.3-6_kfreebsd-i386.deb
 8d6e938ca54b000582f169a687709d9299c39a8658d854880e40ae5401a8feaa 45858 kfreebsd-image-7-686_7.3-6_kfreebsd-i386.deb
 45e328bae8135143309bec302ad5128424f520e9c967b054523e7929fa7f3418 322762 kfreebsd-headers-7.3-1-686_7.3-6_kfreebsd-i386.deb
 c73eca385fd28fbc7afe2b33cd29d3dfcb24aa81cfccb43eb3576cbde9790fdc 45860 kfreebsd-headers-7-686_7.3-6_kfreebsd-i386.deb
 043c82ddf9651d4a77a30a555fbac690153aaa1a7fe7517a638927e7badfd875 12299776 kfreebsd-image-7.3-1-686-smp_7.3-6_kfreebsd-i386.deb
 8dd55d1ec209009a43455e01a25f2203da7f874d35983ea63855f28e2b81aa2c 45874 kfreebsd-image-7-686-smp_7.3-6_kfreebsd-i386.deb
 6053744c4288f81f57a6d54aba0d4cc3152d0bb7f477a8233339311a8e97363d 322764 kfreebsd-headers-7.3-1-686-smp_7.3-6_kfreebsd-i386.deb
 1ff62784858ffbf3b9918076de38b7b01c46843e3ebcbf9f364376bdebb215c4 45874 kfreebsd-headers-7-686-smp_7.3-6_kfreebsd-i386.deb
Files: 
 452f1719c42bcb41b314859d8d30f343 1863 kernel optional kfreebsd-7_7.3-6.dsc
 b0a8c121a29f53754a522dd39122efca 70008 kernel optional kfreebsd-7_7.3-6.diff.gz
 63b7a3b6e2637e9f254a4b51f7bd795d 23982266 kernel optional kfreebsd-source-7.3_7.3-6_all.deb
 58eb87a93b3a9757a22a5af593deb375 7688478 kernel optional kfreebsd-headers-7.3-1_7.3-6_kfreebsd-i386.deb
 0a1900d9fdd8eb28ebdd394bfb3c43d5 11485632 kernel optional kfreebsd-image-7.3-1-486_7.3-6_kfreebsd-i386.deb
 7257e1d0ea46b5ce9e9420af606145cc 45860 kernel optional kfreebsd-image-7-486_7.3-6_kfreebsd-i386.deb
 86f3645541d5cbd574097ed013943c6f 322708 kernel optional kfreebsd-headers-7.3-1-486_7.3-6_kfreebsd-i386.deb
 be400d0483f4a8f7faf4d46b596fd885 45860 kernel optional kfreebsd-headers-7-486_7.3-6_kfreebsd-i386.deb
 935d37dafaf4394139fdd7e7522acb16 12275892 kernel optional kfreebsd-image-7.3-1-686_7.3-6_kfreebsd-i386.deb
 74c16cbc0e3167f3f7276c99fcaabb24 45858 kernel optional kfreebsd-image-7-686_7.3-6_kfreebsd-i386.deb
 3ce345626b87a3bd8e7b6943847b0486 322762 kernel optional kfreebsd-headers-7.3-1-686_7.3-6_kfreebsd-i386.deb
 84a8a534dad9cce0ddd1d7917d6d4289 45860 kernel optional kfreebsd-headers-7-686_7.3-6_kfreebsd-i386.deb
 66dfcf56ce1348e4bbb25c0cfb7cddca 12299776 kernel optional kfreebsd-image-7.3-1-686-smp_7.3-6_kfreebsd-i386.deb
 3e50b5c25af4598dbf660a955af26e82 45874 kernel optional kfreebsd-image-7-686-smp_7.3-6_kfreebsd-i386.deb
 0a71d6400ac43b146f5b6ffc11c6b9c6 322764 kernel optional kfreebsd-headers-7.3-1-686-smp_7.3-6_kfreebsd-i386.deb
 9354a880e8c677ac49a4cf33170726e4 45874 kernel optional kfreebsd-headers-7-686-smp_7.3-6_kfreebsd-i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFMRVNXw3ao2vG823MRAj7kAJ48pdFMG7AWJVjCy0CALvJ2IpkdQgCfdoCU
F1eYR1UpHWY7LTBIU778huM=
=fx0u
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Aug 2010 07:34:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:36:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.